Bug 156415 - [NEW PORT] net-im/py-hotot, Twitter and Identi.ca microblogging client written in Python and JavaScript
Summary: [NEW PORT] net-im/py-hotot, Twitter and Identi.ca microblogging client writte...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-15 08:40 UTC by Olivier Duchateau
Modified: 2012-10-30 13:03 UTC (History)
0 users

See Also:


Attachments
file.shar (18.21 KB, text/plain)
2011-04-15 08:40 UTC, Olivier Duchateau
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2011-04-15 08:40:09 UTC
Hotot is a lightweight microblogging client (Identi.ca and Twitter), written in Python and JavaScript.

Patches:
- delete related Linux code
- enhance Xfce and webbrowsers support

Sound notification doesn't work (tarball is snapshot, taken from PPA repository).

Note: This port was tested successfully with Python2.6 and Python2.7.

Fix: Patch attached with submission follows:
Comment 1 Olivier Duchateau 2011-04-26 18:03:42 UTC
Update to 0.9.6~hg779. Below diff between the previous and the new.


diff -urN py-hotot/Makefile /usr/ports/net-im/py-hotot/Makefile
--- py-hotot/Makefile	2011-04-26 18:47:56.000000000 +0200
+++ /usr/ports/net-im/py-hotot/Makefile	2011-04-26 18:42:22.000000000 +0200
@@ -7,11 +7,11 @@

 PORTNAME=	hotot
 PORTVERSION=	0.9.6
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	net-im python
 MASTER_SITES=	http://avignu.tuxfamily.org/FreeBSD/distfiles/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
-DISTNAME=	${PORTNAME}-${PORTVERSION}~hg773
+DISTNAME=	${PORTNAME}-${PORTVERSION}~hg779

 MAINTAINER=	duchateau.olivier@gmail.com
 COMMENT=	Twitter and Identi.ca microblogging client
diff -urN py-hotot/distinfo /usr/ports/net-im/py-hotot/distinfo
--- py-hotot/distinfo	2011-04-26 18:47:56.000000000 +0200
+++ /usr/ports/net-im/py-hotot/distinfo	2011-04-26 18:33:54.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (hotot-0.9.6~hg773.tar.gz) =
74354771ccc62e398ff4e33ed6c000d7d589533f15c72b17759c0531e5138610
-SIZE (hotot-0.9.6~hg773.tar.gz) = 480469
+SHA256 (hotot-0.9.6~hg779.tar.gz) =
27b32e00ab80578a01c63c1f42dfcada54b1f12148a3390366ddcf5ce59bae19
+SIZE (hotot-0.9.6~hg779.tar.gz) = 481762
diff -urN py-hotot/files/patch-data_js_conf.js
/usr/ports/net-im/py-hotot/files/patch-data_js_conf.js
--- py-hotot/files/patch-data_js_conf.js	2011-04-26 18:47:56.000000000 +0200
+++ /usr/ports/net-im/py-hotot/files/patch-data_js_conf.js	2011-04-26
18:46:10.000000000 +0200
@@ -16,7 +16,7 @@
 -    , 'size_w': 500
 -    , 'size_h': 550
 +    , 'size_w': 150
-+    , 'size_h': 420
++    , 'size_h': 430
      , 'use_ubuntu_indicator': true
 -    , 'font_list': ['Arial', 'Wide', 'Narrow', 'Calibri', 'Cambria',
'Comic Sans MS', 'Consolas', 'Corsiva', 'Courier New', 'Droid Sans',
'Droid Serif', 'Syncopate', 'Times New Roman']
 +    , 'font_list': ['DejaVu Sans', 'Verdana', 'sans-serif']
diff -urN py-hotot/files/patch-hotot_hotot.py
/usr/ports/net-im/py-hotot/files/patch-hotot_hotot.py
--- py-hotot/files/patch-hotot_hotot.py	2011-04-26 18:47:56.000000000 +0200
+++ /usr/ports/net-im/py-hotot/files/patch-hotot_hotot.py	2011-04-26
18:46:28.000000000 +0200
@@ -7,7 +7,7 @@
 -        self.window.set_position(gtk.WIN_POS_CENTER)
 -        #self.window.set_default_size(500, 550)
 +        self.window.set_position(gtk.WIN_POS_CENTER_ON_PARENT)
-+        self.window.set_default_size(150, 420)
++        self.window.set_default_size(150, 430)

          vbox = gtk.VBox()
          scrollw = gtk.ScrolledWindow()
diff -urN py-hotot/pkg-plist /usr/ports/net-im/py-hotot/pkg-plist
--- py-hotot/pkg-plist	2011-04-26 18:47:56.000000000 +0200
+++ /usr/ports/net-im/py-hotot/pkg-plist	2011-04-26 18:41:09.000000000 +0200
@@ -51,6 +51,7 @@
 %%DATADIR%%/image/ani_loading_bar.gif
 %%DATADIR%%/image/ani_loading_bar_gray.gif
 %%DATADIR%%/image/expand.png
+%%DATADIR%%/image/delete_ic_16.png
 %%DATADIR%%/image/fav_ic_16.png
 %%DATADIR%%/image/faved_ic_16.png
 %%DATADIR%%/image/fold.png
@@ -59,24 +60,20 @@
 %%DATADIR%%/image/ic16_arrow_down_gray.png
 %%DATADIR%%/image/ic16_arrow_up_gray.png
 %%DATADIR%%/image/ic16_close.png
-%%DATADIR%%/image/ic16_del.png
 %%DATADIR%%/image/ic16_dm.png
-%%DATADIR%%/image/ic16_fav.png
 %%DATADIR%%/image/ic16_hotot.png
 %%DATADIR%%/image/ic16_identica.png
 %%DATADIR%%/image/ic16_link.png
 %%DATADIR%%/image/ic16_remove_red.png
 %%DATADIR%%/image/ic16_retweet_light.png
-%%DATADIR%%/image/ic16_rt.png
 %%DATADIR%%/image/ic16_twitter.png
-%%DATADIR%%/image/ic16_unfav.png
 %%DATADIR%%/image/ic24_hotot.png
 %%DATADIR%%/image/ic24_hotot_mono_dark.svg
 %%DATADIR%%/image/ic24_hotot_mono_light.png
 %%DATADIR%%/image/ic24_hotot_mono_light.svg
-%%DATADIR%%/image/ic24_wall.png
 %%DATADIR%%/image/ic32_hotot.png
 %%DATADIR%%/image/ic32_hotot_classics.png
+%%DATADIR%%/image/ic32_hotot_mono_light.png
 %%DATADIR%%/image/ic32_profile_add.png
 %%DATADIR%%/image/ic32_profile_identica.png
 %%DATADIR%%/image/ic32_profile_twitter.png
@@ -85,7 +82,6 @@
 %%DATADIR%%/image/ic64_hotot.png
 %%DATADIR%%/image/ic64_hotot_classics.png
 %%DATADIR%%/image/ic_dm.png
-%%DATADIR%%/image/ic_fav.png
 %%DATADIR%%/image/ic_home.png
 %%DATADIR%%/image/ic_mention.png
 %%DATADIR%%/image/ic_people.png


-- 
olivier
Comment 2 Olivier Duchateau 2011-04-30 08:01:13 UTC
Update to 0.9.6-hg781, below diff

diff -u py-hotot/Makefile /usr/ports/net-im/py-hotot/Makefile
--- py-hotot/Makefile	2011-04-26 18:54:21.000000000 +0200
+++ /usr/ports/net-im/py-hotot/Makefile	2011-04-30 07:20:49.000000000 +0200
@@ -7,11 +7,11 @@

 PORTNAME=	hotot
 PORTVERSION=	0.9.6
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	net-im python
 MASTER_SITES=	http://avignu.tuxfamily.org/FreeBSD/distfiles/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
-DISTNAME=	${PORTNAME}-${PORTVERSION}~hg779
+DISTNAME=	${PORTNAME}-${PORTVERSION}~hg781

 MAINTAINER=	duchateau.olivier@gmail.com
 COMMENT=	Twitter and Identi.ca microblogging client
diff -u py-hotot/distinfo /usr/ports/net-im/py-hotot/distinfo
--- py-hotot/distinfo	2011-04-26 18:54:21.000000000 +0200
+++ /usr/ports/net-im/py-hotot/distinfo	2011-04-30 07:20:32.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (hotot-0.9.6~hg779.tar.gz) =
27b32e00ab80578a01c63c1f42dfcada54b1f12148a3390366ddcf5ce59bae19
-SIZE (hotot-0.9.6~hg779.tar.gz) = 481762
+SHA256 (hotot-0.9.6~hg781.tar.gz) =
d78952048245f715cf14e80f48bdf252f047fe2cc1d0fd4aace14c829d99f890
+SIZE (hotot-0.9.6~hg781.tar.gz) = 482715


-- 
olivier
Comment 3 Nicola Vitale freebsd_committer 2011-04-30 08:41:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nivit

I will take it.
Comment 4 Olivier Duchateau 2011-05-08 10:06:53 UTC
Update to 0.9.6~hg785 snapshot, and fix a typo in Makefile.

diff -urN net-im/py-hotot/Makefile /usr/ports/net-im/py-hotot/Makefile
--- net-im/py-hotot/Makefile	2011-04-30 08:58:38.000000000 +0200
+++ /usr/ports/net-im/py-hotot/Makefile	2011-05-08 10:46:08.000000000 +0200
@@ -7,11 +7,11 @@

 PORTNAME=	hotot
 PORTVERSION=	0.9.6
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	net-im python
 MASTER_SITES=	http://avignu.tuxfamily.org/FreeBSD/distfiles/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
-DISTNAME=	${PORTNAME}-${PORTVERSION}~hg781
+DISTNAME=	${PORTNAME}-${PORTVERSION}~hg785

 MAINTAINER=	duchateau.olivier@gmail.com
 COMMENT=	Twitter and Identi.ca microblogging client
@@ -30,7 +30,7 @@
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
 USE_GNOME=	desktopfileutils
-INSTALL_ICONS=	yes
+INSTALLS_ICONS=	yes

 OPTIONS=	PYCURL "Install Python bindings for cURL" off

@@ -41,8 +41,6 @@
 .endif

 post-patch:
-	${REINPLACE_CMD} -e 's|%%PORTVERSION%%|${PORTVERSION}|' \
-		${WRKSRC}/setup.py
 .for LOCALE in de fr it tr
 	${MV} ${WRKSRC}/po/${LOCALE}_* ${WRKSRC}/po/${LOCALE}.po
 .endfor
diff -urN net-im/py-hotot/distinfo /usr/ports/net-im/py-hotot/distinfo
--- net-im/py-hotot/distinfo	2011-04-30 08:58:38.000000000 +0200
+++ /usr/ports/net-im/py-hotot/distinfo	2011-05-08 10:40:26.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (hotot-0.9.6~hg781.tar.gz) =
d78952048245f715cf14e80f48bdf252f047fe2cc1d0fd4aace14c829d99f890
-SIZE (hotot-0.9.6~hg781.tar.gz) = 482715
+SHA256 (hotot-0.9.6~hg785.tar.gz) =
b3ff10eea0c8b2c50842584f15aa6f6dcf7960a457d673887540d04df2a50ee3
+SIZE (hotot-0.9.6~hg785.tar.gz) = 476461
diff -urN net-im/py-hotot/files/patch-setup.py
/usr/ports/net-im/py-hotot/files/patch-setup.py
--- net-im/py-hotot/files/patch-setup.py	2011-04-30 08:58:38.000000000 +0200
+++ /usr/ports/net-im/py-hotot/files/patch-setup.py	2011-05-08
10:42:24.000000000 +0200
@@ -1,16 +1,5 @@
 --- setup.py.orig	2010-12-13 19:00:03.000000000 +0100
 +++ setup.py	2011-04-01 15:20:52.000000000 +0200
-@@ -13,8 +13,8 @@
-            ]
-
- setup(name='hotot',
--      version="0.9.5",
--      description='Lightweight Twitter Client',
-+      version="%%PORTVERSION%%",
-+      description='Lightweight Twitter and Identi.ca Client',
-       long_description =
- """
- Lightweight Twitter Client base on Gtk2 and Webkit.
 @@ -35,7 +35,7 @@
        license='LGPL-3',
        url="http://code.google.com/p/hotot",



-- 
olivier
Comment 5 Olivier Duchateau 2011-05-16 21:30:05 UTC
Update to 0.9.6~hg792 snapshot.

diff -urN net-im/py-hotot/Makefile /usr/ports/net-im/py-hotot/Makefile
--- net-im/py-hotot/Makefile	2011-05-08 10:49:44.000000000 +0200
+++ /usr/ports/net-im/py-hotot/Makefile	2011-05-16 22:18:24.000000000 +0200
@@ -7,11 +7,11 @@

 PORTNAME=	hotot
 PORTVERSION=	0.9.6
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	net-im python
 MASTER_SITES=	http://avignu.tuxfamily.org/FreeBSD/distfiles/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
-DISTNAME=	${PORTNAME}-${PORTVERSION}~hg785
+DISTNAME=	${PORTNAME}-${PORTVERSION}~hg792

 MAINTAINER=	duchateau.olivier@gmail.com
 COMMENT=	Twitter and Identi.ca microblogging client
diff -urN net-im/py-hotot/distinfo /usr/ports/net-im/py-hotot/distinfo
--- net-im/py-hotot/distinfo	2011-05-08 10:49:44.000000000 +0200
+++ /usr/ports/net-im/py-hotot/distinfo	2011-05-16 19:35:18.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (hotot-0.9.6~hg785.tar.gz) =
b3ff10eea0c8b2c50842584f15aa6f6dcf7960a457d673887540d04df2a50ee3
-SIZE (hotot-0.9.6~hg785.tar.gz) = 476461
+SHA256 (hotot-0.9.6~hg792.tar.gz) =
2727abfe5d7baa59ec21f68ea5eb279dbfca7a04b28f10406180b8d9a5b52fe3
+SIZE (hotot-0.9.6~hg792.tar.gz) = 485926
diff -urN net-im/py-hotot/files/patch-data_js_ui.context_menu.js
/usr/ports/net-im/py-hotot/files/patch-data_js_ui.context_menu.js
--- net-im/py-hotot/files/patch-data_js_ui.context_menu.js	2011-05-08
10:49:44.000000000 +0200
+++ /usr/ports/net-im/py-hotot/files/patch-data_js_ui.context_menu.js	2011-05-16
22:12:18.000000000 +0200
@@ -1,11 +1,11 @@
---- data/js/ui.context_menu.js.orig	2011-03-04 19:00:04.000000000 +0100
-+++ data/js/ui.context_menu.js	2011-04-01 14:54:18.000000000 +0200
-@@ -7,7 +7,7 @@
- function init() {
+--- data/js/ui.context_menu.js.orig	2011-05-10 20:00:17.000000000 +0200
++++ data/js/ui.context_menu.js	2011-05-16 22:11:45.000000000 +0200
+@@ -27,7 +27,7 @@
+
      $('#context_menuitem_web_search').click(
      function (event) {
--        navigate_action('http://google.com/search?sourceid=chrome&ie=UTF-8&q='+ui.ContextMenu.selected_string);
-+        navigate_action('http://google.com/search?ie=UTF-8&q='+ui.ContextMenu.selected_string);
+-        navigate_action('http://www.google.com/search?sourceid=chrome&ie=UTF-8&q='+ui.ContextMenu.selected_string);
++        navigate_action('http://www.google.com/search?ie=UTF-8&q='+ui.ContextMenu.selected_string);
      });

      $('#context_menuitem_twitter_search').click(
diff -urN net-im/py-hotot/pkg-plist /usr/ports/net-im/py-hotot/pkg-plist
--- net-im/py-hotot/pkg-plist	2011-05-08 10:49:44.000000000 +0200
+++ /usr/ports/net-im/py-hotot/pkg-plist	2011-05-16 22:17:07.000000000 +0200
@@ -29,6 +29,9 @@
 %%DATADIR%%/css/hotot.widget.css
 %%DATADIR%%/css/style.css
 %%DATADIR%%/ext/ext.js
+%%DATADIR%%/ext/org.hotot.cfw/entry.js
+%%DATADIR%%/ext/org.hotot.cfw/ic16_cfw.png
+%%DATADIR%%/ext/org.hotot.cfw/icon.png
 %%DATADIR%%/ext/org.hotot.gmap/entry.js
 %%DATADIR%%/ext/org.hotot.gmap/ic16_marker.png
 %%DATADIR%%/ext/org.hotot.gmap/icon.png
@@ -165,6 +168,7 @@
 @dirrm %%DATADIR%%/ext/org.hotot.imageupload
 @dirrm %%DATADIR%%/ext/org.hotot.imagepreview
 @dirrm %%DATADIR%%/ext/org.hotot.gmap
+@dirrm %%DATADIR%%/ext/org.hotot.cfw
 @dirrm %%DATADIR%%/ext
 @dirrm %%DATADIR%%/css
 @dirrm %%DATADIR%%/_locales/zh_CN


-- 
olivier
Comment 6 Alexey Dokuchaev freebsd_committer 2011-08-17 17:11:39 UTC
Responsible Changed
From-To: nivit->danfe

Take from nivit@ (approved) as I am working on the same port myself.
Comment 7 Alexey Dokuchaev freebsd_committer 2012-10-30 13:01:43 UTC
State Changed
From-To: open->closed

Latest github snapshot was ported, inc. some of your proposed patches (others 
are no longer relevant), thanks!  Proper credit is given in r306671.